Name:           xcm
Version:        0.5.3
Release:        4%{?dist}
Summary:        X Color Management tools
License:        MIT
URL:            http://www.oyranos.org
Source0:        http://download.sourceforge.net/oyranos/Xcm/xcm-%{version}.tar.bz2
BuildRequires:  systemd
BuildRequires:  elektra-devel
BuildRequires:  libXcm-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXmu-devel
BuildRequires:  oyranos-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-x11-xtrans-devel

%description
The Xcm tools are color management helpers for Xorg. An EDID parser and a 
color management events observer are included.

%prep
%setup -q

%build
%configure --with-udev-dir=%{_udevrulesdir}
make %{?_smp_mflags}

%install
%make_install

# Remove pre-installed doc
rm -rf %{buildroot}%{_pkgdocdir}

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/xcm
%{_bindir}/xcmevents
%{_bindir}/xcmedid
%{_bindir}/xcmddc
%{_udevrulesdir}/90-xcm-i2c.rules
%{_mandir}/man1/xcm*.1*

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 11 2014 Christopher Meng <rpm@cicku.me> - 0.5.3-3
- Added udev RPM macro to avoid FTBFS

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 08 2014 Christopher Meng <rpm@cicku.me> - 0.5.3-1
- Update to 0.5.3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 01 2013 Nicolas Chauvet <kwizart@gmail.com> - 0.5.2-1
- Update to 0.5.2

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.5.1-1
- Update to 0.5.1
- Silent an error in logs - rhbz#840502

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 08 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Tue Jul 26 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 07 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Wed Dec 15 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.3.0-2
- Add Requires oyranos

* Sun Nov 07 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.3.0-1
- Rewrite for Fedora

* Thu Oct 07 2010 Kai-Uwe Behrmann
- install EDID parser tool
- install xcmsevents tool
